//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//-----------------     SPIRIT 1 -----------------
//---------------     -------------------
//------       ---------
//--           --
//- :          -
//--          -
//----  :   yagov@promelec.ru  support@promelec.ru -----
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------

#include "stm32f10x.h"
#include "Spirit1_promelec.h"
#include "Platform.h"
#include "Main.h"

#include "SPIRIT_Regs.h"

void main()
{
  
//       Spirit1
Spirit_HW_Config();
//    
LED_CONF();

//  Spirit1
Spirit_Reset();

Spirit_Radio_Init();
Spirit_Config();
Spirit_IRQ();

Spirit_RX();
Spirit_STM32_IRQ_Config();

while(1)
{

if (STAGE<=15)
{
  GPIOD->ODR = (u16)(LED_STAGE[STAGE]);
  STAGE++;
}

if (STAGE==16)
{
//    "    "
  //  
    Spirit_Send_Command(COMMAND_FLUSHTXFIFO);
    Spirit_Write_Register(LINEAR_FIFO_ADDRESS, 20, (uint8_t*)TX_Array);
//   ""
    Spirit_TX();

  STAGE++;
}
u8 J;
u32 I;
for (J=0; J<16; J++)
{
  for (I=0; I<10000; I++);
}

}

}

void LED_CONF()
{
//,   
GPIO_InitTypeDef GPIO_InitStructure;

//    
RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOD, ENABLE);
GPIO_DeInit(GPIOD);

//  CS -  
GPIO_InitStructure.GPIO_Pin = 255;
GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
GPIO_Init(GPIOD, &GPIO_InitStructure);
//  
GPIOD->ODR = 0;
}


//------------------------------------------------------------------------------
//---------------     SPIRIT 1 -------------------
//---------------     -------------------
//---------------          http://www.promelec.ru/           -------------------
//--------------------------           2012         ----------------------------
//------------------------------------------------------------------------------