//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//-----------------     SPIRIT 1 -----------------
//---------------     -------------------
//------       ---------
//--           --
//- :          -
//--          -
//----  :   yagov@promelec.ru  support@promelec.ru -----
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------

#include "stm32f10x_it.h"
#include "Spirit1_promelec.h"
#include "SPIRIT_Regs.h"
#include "Platform.h"

extern u8 STAGE;

//  
void NMI_Handler(void)
{
}

void HardFault_Handler(void)
{
  while (1)
  {
  }
}

void MemManage_Handler(void)
{
  while (1)
  {
  }
}

void BusFault_Handler(void)
{
  while (1)
  {
  }
}

void UsageFault_Handler(void)
{
  while (1)
  {
  }
}

void SVC_Handler(void)
{
}

void DebugMon_Handler(void)
{
}

void PendSV_Handler(void)
{
}

void SysTick_Handler(void)
{
}

// ,  

//   SPIRIT1.
void EXTI0_IRQHandler(void)
{
  //  "     Spirit1"
  Spirit_Read_Register(IRQ_STATUS3_BASE, 4, (uint8_t*)TX_Array); 

  if((TX_Array[3]&0x1)!=0)
    {
//      Spirit_Init_READY();
      //  " "
      Spirit_Read_Register(LINEAR_FIFO_ADDRESS, 20, (uint8_t*)TX_Array); 
      Spirit_Send_Command(COMMAND_FLUSHRXFIFO);
      //    
      STAGE=0;
  //    IRQ_STATUS_BASE -     RX
  Spirit_RX();
    } 

   if((TX_Array[0]&0x20)!=0)
    {
      if (STAGE>15) Spirit_RX();
    }

  if((TX_Array[3]&0x4)!=0)
    {
    //    IRQ_STATUS_BASE -     RX
//      Spirit_Init_READY();
      Spirit_RX();
    }   
  
  //   
  EXTI_ClearITPendingBit(Spirit_IRQ_EXTI_Line);
}


//------------------------------------------------------------------------------
//---------------     SPIRIT 1 -------------------
//---------------     -------------------
//---------------          http://www.promelec.ru/           -------------------
//--------------------------           2012         ----------------------------
//------------------------------------------------------------------------------